gd_fragment_index(3)

NAME
gd_fragment_index — retrieve the fragment containing a dirfile field

SYNOPSIS
#include <getdata.h>

int gd_fragment_index(const DIRFILE *dirfile, const char *entry_name);

DESCRIPTION
The gd_fragment_index() function queries a dirfile(5) database specified by dirfile and returns the index number of the fragment defining the field or alias specified by entry_name, which may not contain a representation suffix.

This is one of the few GetData functions which does not resolve aliases: supplying the name of an alias as entry_name will return the index of the fragment containing the alias itself and not that of its target.

RETURN VALUE
Upon successful completion, gd_fragment_index() returns the requested fragment index. On error, gd_fragment_index() returns -1 and sets the dirfile error a non-zero error value. Possible error values are:

GD_E_ALLOC
    The library was unable to allocate memory.

GD_E_BAD_CODE
    The entry specified by entry_name was not found in the database.

GD_E_BAD_DIRFILE
    The supplied dirfile was invalid.

The dirfile error may be retrieved by calling gd_error(3). A descriptive error string for the last error encountered can be obtained from a call to gd_error_string(3).

SEE ALSO
gd_open(3), gd_entry(3), gd_error(3), gd_error_string(3), gd_fragmentname(3), gd_parent_fragment(3), dirfile(5)